Bug 179572 - Add option for science/py-h5py to use science/hdf5-18 instead of science/hdf5
Summary: Add option for science/py-h5py to use science/hdf5-18 instead of science/hdf5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 15:40 UTC by Johannes Meixner
Modified: 2013-08-13 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.94 KB, patch)
2013-06-15 15:40 UTC, Johannes Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2013-06-15 15:40:00 UTC
This patch adds an option to allow users to select hdf5-1.8 instead of hdf5-1.6,\as h5py autodetects the library's API version and works with either version.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-15 15:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-15 15:40:08 UTC
Maintainer of science/hdf5-18,

Please note that PR ports/179572 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179572

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Chris Rees freebsd_committer 2013-06-16 16:10:33 UTC
State Changed
From-To: feedback->open

Reassign to correct port
Comment 4 Chris Rees freebsd_committer 2013-06-16 19:54:53 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 5 Chris Rees 2013-06-16 20:28:14 UTC
Maintainer of science/py-h5py,

Please note that PR ports/179572 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179572

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2013-07-14 11:23:12 UTC
State Changed
From-To: feedback->open

its been a month since the feedback state - so lets open the PR so it 
could be committed
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2013-08-09 12:56:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->koobs

I'll take it.
Comment 8 dfilter service freebsd_committer 2013-08-13 13:00:07 UTC
Author: koobs
Date: Tue Aug 13 11:59:54 2013
New Revision: 324659
URL: http://svnweb.freebsd.org/changeset/ports/324659

Log:
  science/py-h5py: Add OPTION support for HDF5 1.8
  
  - Add OPTION to use science/hdf5-18 instead of science/hdf5
  
  PR:		ports/179572
  Submitted by:	Johannes Meixner <xmj@chaot.net>
  Approved by:	maintainer timeout (8 weeks)

Modified:
  head/science/py-h5py/Makefile   (contents, props changed)
  head/science/py-h5py/pkg-descr   (contents, props changed)

Modified: head/science/py-h5py/Makefile
==============================================================================
--- head/science/py-h5py/Makefile	Tue Aug 13 11:40:47 2013	(r324658)
+++ head/science/py-h5py/Makefile	Tue Aug 13 11:59:54 2013	(r324659)
@@ -1,13 +1,9 @@
-# Ports collection makefile for:	h5py
-# Date created:			Jun 22, 2009
-# Whom:				TAOKA Fumiyoshi
-#
+# Created by: TAOKA Fumiyoshi
 # $FreeBSD$
-#
 
 PORTNAME=	h5py
 PORTVERSION=	1.2.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	science python
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -17,7 +13,17 @@ COMMENT=	A general-purpose Python interf
 
 BUILD_DEPENDS=	${PYNUMPY}
 RUN_DEPENDS=	${PYNUMPY}
-LIB_DEPENDS=	hdf5.0:${PORTSDIR}/science/hdf5
+
+OPTIONS_DEFINE=	NEW_HDF5
+NEW_HDF5_DESC=	Use port science/hdf5-18 instead of science/hdf5
+OPTIONSFILE?=	${PORT_DBDIR}/py-${PORTNAME}/options
+
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MNEW_HDF5}
+LIB_DEPENDS=	hdf5:${PORTSDIR}/science/hdf5-18
+.else
+LIB_DEPENDS=	hdf5:${PORTSDIR}/science/hdf5
+.endif
 
 USE_PYTHON=		2.5+
 USE_PYDISTUTILS=	easy_install

Modified: head/science/py-h5py/pkg-descr
==============================================================================
--- head/science/py-h5py/pkg-descr	Tue Aug 13 11:40:47 2013	(r324658)
+++ head/science/py-h5py/pkg-descr	Tue Aug 13 11:59:54 2013	(r324659)
@@ -1,8 +1,7 @@
-The h5py package provides both a high- and low-level interface to the 
-HDF5 library from Python.  The low-level interface is
-intended to be a complete wrapping of the HDF5 1.6 API, while the high-
-level component supports Python-style object-oriented access to HDF5 files, 
-datasets and groups.
+The h5py package provides both a high- and low-level interface to the HDF5
+library from Python. The low-level interface is intended to be a complete
+wrapping of the HDF5 1.6 and 1.8 APIs, while the high-level component supports
+Python-style object-oriented access to HDF5 files, datasets and groups.
 
 The goal of this package is not to provide yet another scientific data
 model. It is an attempt to create as straightforward a binding as possible
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2013-08-13 13:01:37 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!